GET /v1/entity-connections

zuora.com

Summary: Multi-entity: List connections
Operation ID: GET_EntityConnections
Auth: unknown
Description

**Note:** The Multi-entity feature is in **Limited Availability**. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). Retrieves information about certain connections for a specified entity. You can specify the entity to retrieve in the `Zuora-Entity-Ids` request header. You can retrieve: - Inbound connections - Outbound connections - Both inbound and outbound connections ## User Access Permission You can make the call as any entity user.

Parameters (4)

Zuora-Entity-Ids (string, header, optional)

An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

Zuora-Track-Id (string, header, optional)

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

Constraints: {'maxLength': 64}

pageSize (integer, query, optional, default: 30)

Number of rows returned per page.

Constraints: {'maximum': 300}

type (string, query, optional)

Specifies whether to retrieve inbound or outbound connections for an entity. Possible values: - `inbound`: All the incoming connections to the entity. - `outbound`: All the outgoing connections from the entity. If you do not specify this field in the request, both the inbound and outbound connections are returned.

Constraints: {'enum': ['inbound', 'outbound']}

No probe data for this endpoint yet.